• Exostar System Requirements-ForumPass 6 

    These system requirements are applicable to ForumPass 6. 

    Browser and Operating System Software

    In order to provide a stable and reliable platform, Exostar continues to upgrade our recommended user configuration to account for browser and operating system updates provided by Microsoft and other software vendors. These software vendors provide maintenance through patches, service packs and new software versions. As new releases are made available by the software vendors, support for the older versions is retired. In the event Exostar's customers experience a problem running our Internet solutions using the old versions of their software, they will be directed to upgrade to the latest release and test to see if the issue has been resolved. At times, software vendors may release new updates at a cadence that Exostar will not match. In some cases, users may utilize different browsers or recently released browser versions or that Exostar has not yet fully reviewed with its products.

    Exostar will always make every effort to provide support for issues our customers have accessing and using our solutions. The limitations to that support may be technical, and subject to either actions needed on the part of the user (upgrades or alternate browsers), or the need for future enhancements to Exostar’s solutions. Exostar will make best efforts to maintain Internet solutions that work with the current and previous version (if still supported by MS) browser and operating system combinations provided by Microsoft. Based on our website statistics, over 95% of our current customer base utilizes Microsoft products.

    The following outlines the system requirements for accessing Exostar solutions:


    ForumPass 6 System Requirements

     
     
     ForumPass 6 Legend

    *Microsoft will no longer support IE8, IE9, or IE10 after January 12, 2016. We recommend updating to a newer version of Internet Explorer.

    Reference:  https://www.microsoft.com/en-us/WindowsForBusiness/End-of-IE-support and

     https://support.microsoft.com/en-us/lifecycle#gp/Microsoft-Internet-Explorer

    **(November 2015) Google Chrome has discontinued the plug-in that allows upload and download of encrypted files. This support page will be updated once a new plug-in is available.  

     Component

    Recommendation

    Comments

    Operating System/Browser Combination

     Microsoft Windows 8 with IE10 or IE11
     

    These OS/Browser combinations are not all inclusive, but have been proven as stable combinations.

    Memory

    512 MB or higher memory is recommended for best performance. Proper system memory allows for efficient operation of the applications.

    Exostar's services are primarily browser driven. System performance improvements from additional RAM will be evident to the extent overall system improvements are realized

    CPU Speed

    1 GHz or better CPU speed is recommended for best performance.

    The more powerful (faster) CPU speed will allow for more efficient operation of the applications.

    Internet Connectivity

    2Mb/sec or better

    (A lower connection speed will result in slower performance or possible system time outs due to extended run times.)

    Adobe

    Version 9

    Exostar utilizes Adobe Reader for downloading training and other support materials.

    Java

    JRE Version 8 or higher

    The most current version of JRE is recommended. Earlier versions may be incompatible when uploading and downloading encrypted documents. 


    • In addition to major software releases, Microsoft offers ongoing product enhancements through service packs and 'product updates'. Exostar will maintain currency with these updates as part of our ongoing release cycle testing, ensuring that our planned major release testing utilizes the latest software updates available. In the event that our customers experience a problem running our Internet solutions using the old versions of the software, including an out of date 'update' level, they may be directed to upgrade to the latest 'update' level to resolve the reported issue. 
    • You can see the Microsoft supported configurations at: http://support.microsoft.com/gp/lifesupsps/#Internet_Explorer